Package net.shibboleth.profile.config.navigate

# Class ClientTLSValidationConfigurationLookupFunction

java.lang.Object
net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction<T>
net.shibboleth.profile.config.navigate.AbstractDefaultSecurityConfigurationLookupFunction<List<ClientTLSValidationConfiguration>>
net.shibboleth.profile.config.navigate.ClientTLSValidationConfigurationLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,List<ClientTLSValidationConfiguration>>`, `ContextDataLookupFunction<ProfileRequestContext,List<ClientTLSValidationConfiguration>>`

public class ClientTLSValidationConfigurationLookupFunction extends AbstractDefaultSecurityConfigurationLookupFunction<List<ClientTLSValidationConfiguration>>
A function that returns a `ClientTLSValidationConfiguration` list by way of various lookup strategies.

If a specific setting is unavailable, a null value is returned.

## Constructor Summary

Constructors
Constructor
Description
`ClientTLSValidationConfigurationLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`List<ClientTLSValidationConfiguration>`
`apply(ProfileRequestContext input)`

### Methods inherited from class net.shibboleth.profile.config.navigate.AbstractDefaultSecurityConfigurationLookupFunction

`getDefaultSecurityConfiguration`

### Methods inherited from class net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction

`getRelyingPartyContext, getRelyingPartyContextLookupStrategy, setRelyingPartyContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### ClientTLSValidationConfigurationLookupFunction

public ClientTLSValidationConfigurationLookupFunction()

## Method Details

### apply

@Nullable @Live public List<ClientTLSValidationConfiguration> apply(@Nullable ProfileRequestContext input)